# Class DatabaseSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a set of configuration settings used to establish and manage database connections.

    public class DatabaseSettings

Inheritance
  object
  DatabaseSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### Database

    public const string Database = "DatabaseSettings"

#### Field Value

string

## Properties

### ConnectionString

    public string? ConnectionString { get; set; }

#### Property Value

string

### DatabaseName

    public string? DatabaseName { get; set; }

#### Property Value

string

### MaxConnectionIdleTime

    public int MaxConnectionIdleTime { get; set; }

#### Property Value

int

### MaxConnectionPoolSize

    public int MaxConnectionPoolSize { get; set; }

#### Property Value

int

### MinConnectionPoolSize

    public int MinConnectionPoolSize { get; set; }

#### Property Value

int